#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "endian.h"	// also includes "mytypes.h"


// read a big-endian 16-bit value from buffer
u16
readBE16(u8 *ptr)
{
	return (((u16)(ptr[0]) << 8) | ptr[1]);
}

// read a big-endian 32-bit value from buffer
u32
readBE32(u8 *ptr)
{
	return (((u32)readBE16(&ptr[0]) << 16) | readBE16(&ptr[2]));
}

// read a little-endian 16-bit value from buffer
u16
readLE16(u8 *ptr)
{
	return (((u16)(ptr[1]) << 8) | ptr[0]);
}

// read a little-endian 32-bit value from buffer
u32
readLE32(u8 *ptr)
{
	return (((u32)readLE16(&ptr[2]) << 16) | readLE16(&ptr[0]));
}

